MONGOC_CLIENT_GET_MAX_BSON_SIZE(3)

NAME
mongoc_client_get_max_bson_size() - None

SYNOPSIS

int32_t
mongoc_client_get_max_bson_size (mongoc_client_t *client);

The mongoc_client_get_max_bson_size(3) returns the maximum bson document size allowed by the cluster. Until a connection has been made, this will be the default of 16Mb.

DEPRECATED

NOTE
    This function is deprecated and should not be used in new code.

PARAMETERS

client
    A mongoc_client_t \&.

RETURNS

The server provided max bson size, or 16Mb if no connection has been established.

COLOPHON
This page is part of MongoDB C Driver. Please report any bugs at https://jira.mongodb.org/browse/CDRIVER.